{pkgs, ...}: {
  plugins = {
    avante.enable = true;
    cmp = {
      enable = true;
      settings = {
        autoEnableSources = true;
        sources = [
          {name = "path";}
          {
            name = "nvim_lsp";
            keywordLength = 1;
          }
          {
            name = "buffer";
            keywordLength = 3;
          }
          {name = "luasnip";}
        ];
        mapping = {
          "<C-p>" = "cmp.mapping.select_prev_item()";
          "<C-n>" = "cmp.mapping.select_next_item()";
          "<C-y>" = "cmp.mapping.confirm({select = true})";
          "<CR>" = "cmp.mapping.confirm({select = false})";
        };
      };
    };
    lsp = {
      enable = true;
      servers = {
        nil_ls.enable = true;
        nixd.enable = true;
        yamlls.enable = true;
      };
    };
  };
}
